summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2004-09-13 20:11:13 +0000
committerMamoru Komachi <usata@gentoo.org>2004-09-13 20:11:13 +0000
commit2b2d320eab2afa493847b4fb69e4a4ebcdf70423 (patch)
treee7b0db948aa0ae15490fe1b9442d8661ca446a5b /eclass
parentAdded a snapshot. Renamed previous ebuild and marked it stable. (diff)
downloadhistorical-2b2d320eab2afa493847b4fb69e4a4ebcdf70423.tar.gz
historical-2b2d320eab2afa493847b4fb69e4a4ebcdf70423.tar.bz2
historical-2b2d320eab2afa493847b4fb69e4a4ebcdf70423.zip
Support for snapshot ebuild.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/iiimf.eclass32
1 files changed, 25 insertions, 7 deletions
diff --git a/eclass/iiimf.eclass b/eclass/iiimf.eclass
index dc023409d258..34519d57c3c9 100644
--- a/eclass/iiimf.eclass
+++ b/eclass/iiimf.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/iiimf.eclass,v 1.6 2004/06/29 15:16:23 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/iiimf.eclass,v 1.7 2004/09/13 20:11:13 usata Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -12,14 +12,30 @@ ECLASS=iiimf
INHERITED="$INHERITED $ECLASS"
EXPORT_FUNCTIONS src_compile src_install
-IMSDK_PV="r${PV/./_}"
-IMSDK_PN="im-sdk"
-IMSDK_P="${IMSDK_PN}.${IMSDK_PV}"
-IMSDK="${IMSDK_P//./-}"
+snapshot() {
+ if [ "${PV:0:2}" -eq 12 ] ; then
+ true
+ else
+ false
+ fi
+}
+
+IMSDK_PV="r${PV//./_}"
+if snapshot ; then
+ MY_INFIX="-src-"
+ MY_PV="${IMSDK_PV/_pre/-svn}"
+ MY_SUFFIX="tgz"
+else
+ MY_INFIX="."
+ MY_PV="${IMSDK_PV/_p/.}"
+ MY_SUFFIX="tar.bz2"
+fi
+IMSDK_P="im-sdk${MY_INFIX}${MY_PV}"
+IMSDK="im-sdk-${MY_PV/./-}"
DESCRIPTION="Based on the $ECLASS eclass"
HOMEPAGE="http://www.openi18n.org/subgroups/im/IIIMF/"
-SRC_URI="http://www.openi18n.org/download/docs/im-sdk/${IMSDK_P}.tar.bz2"
+SRC_URI="http://www.openi18n.org/download/docs/im-sdk/${IMSDK_P}.${MY_SUFFIX}"
LICENSE="MIT X11"
SLOT="0"
@@ -32,10 +48,12 @@ S="${WORKDIR}/${IMSDK}/${PN}"
iiimf_src_compile() {
+ snapshot && ./autogen.sh
+
econf --enable-optimize \
`use_enable debug` || die
# emake doesn't work on some libraries
- make || die
+ emake -j1 || die
}
iiimf_src_install() {